# Documentation

Menu

## QRDataModeInterface
in

QRDataModeInterface.php : 18

Specifies the methods reqired for the data modules (Number, Alphanum, Byte and Kanji)

### Table of Contents

#### Methods

convertEncoding() : string
  encoding conversion helper
decodeSegment() : string
  reads a segment from the BitBuffer and decodes in the current data mode
getLengthInBits() : int
  retruns the length in bits of the data string
validateString() : bool
  checks if the given string qualifies for the encoder module
write() : QRDataModeInterface
  writes the actual data string to the BitBuffer, uses the given version to determine the length bits

### Methods

#### convertEncoding()

QRDataModeInterface.php : 44

encoding conversion helper

`public static convertEncoding(string $string) : string`

##### Parameters

$string : string

##### Tags

throws
  QRCodeDataException

##### Return values

string

#### decodeSegment()

QRDataModeInterface.php : 61

reads a segment from the BitBuffer and decodes in the current data mode

`public static decodeSegment(BitBuffer $bitBuffer, int $versionNumber) : string`

##### Parameters

$bitBuffer : BitBuffer
$versionNumber : int

##### Return values

string

#### getLengthInBits()

QRDataModeInterface.php : 37

retruns the length in bits of the data string

`public getLengthInBits() : int`

##### Return values

int

#### validateString()

QRDataModeInterface.php : 49

checks if the given string qualifies for the encoder module

`public static validateString(string $string) : bool`

##### Parameters

$string : string

##### Return values

bool

#### write()

QRDataModeInterface.php : 56

writes the actual data string to the BitBuffer, uses the given version to determine the length bits

`public write(BitBuffer $bitBuffer, int $versionNumber) : QRDataModeInterface`

##### Parameters

$bitBuffer : BitBuffer
$versionNumber : int

##### Tags

see
  QRData::writeBitBuffer()

##### Return values

QRDataModeInterface

## Search results